GDB (xrefs)

Functions | Variables
signals-state-save-restore.c File Reference
`#include "common-defs.h"`
`#include "signals-state-save-restore.h"`
`#include <signal.h>`

Go to the source code of this file.

## Functions
void | save_original_signals_state (bool quiet)
void | restore_original_signals_state (void)

## Variables
static struct sigaction | original_signal_actions [NSIG]
static sigset_t | original_signal_mask

## Function Documentation

## ◆ restore_original_signals_state()

void restore_original_signals_state | ( | void |  | ) |

Definition at line 96 of file signals-state-save-restore.c.

References original_signal_actions, original_signal_mask, and perror_with_name().

Referenced by fork_inferior().

## ◆ save_original_signals_state()

void save_original_signals_state | ( | bool | quiet | ) |

Definition at line 38 of file signals-state-save-restore.c.

References _, original_signal_actions, original_signal_mask, and perror_with_name().

Referenced by captured_main_1().

## Variable Documentation

## ◆ original_signal_actions

struct sigaction original_signal_actions[NSIG]
| static

Definition at line 26 of file signals-state-save-restore.c.

Referenced by restore_original_signals_state(), and save_original_signals_state().

## ◆ original_signal_mask

sigset_t original_signal_mask
| static

Definition at line 32 of file signals-state-save-restore.c.

Referenced by restore_original_signals_state(), and save_original_signals_state().